//###########################################################################
//
// FILE:	ADS8364_2812.h
//
// TITLE:	ADS8364 ADC EVM Register Definitions.
//
//###########################################################################
//
//  Ver | dd mmm yyyy | Who  | Description of changes
// =====|=============|======|===============================================
//  1.00| 30 Nov 2002 | T.H. | Initial Release
//###########################################################################


#define ADD_Mode (0)  // 1 = ADD Mode, read address location, then data
#define W17 (0) // W17 Selects the ADS8364 Base Address, 1 = OPEN

#if(W17)
 #define CHA0 0x088000
 #define CHA1 0x089000
 #define CHB0 0x08A000
 #define CHB1 0x08B000
 #define CHC0 0x08C000
 #define CHC1 0x08D000
 #define CYCLE 0x08E000
 #define FIFO 0x08F000  
#else
 #define CHA0 0x080022
 #define CHA1 0x080025
 #define CHB0 0x080029
 #define CHB1 0x08002C
 #define CHC0 0x080030
 #define CHC1 0x080034
 #define CYCLE 0x080038
 #define FIFO 0x08003C 
#endif

#define HOLDa 0x10
#define HOLDb 0x04
#define HOLDc 0x08
#define HOLDall 0x1C

#define Samples 512

// Global Variables

unsigned int idx = 0;
unsigned int CHA0_Data[Samples];
unsigned int CHA1_Data[Samples];
unsigned int CHB0_Data[Samples];
unsigned int CHB1_Data[Samples];
unsigned int CHC0_Data[Samples];
unsigned int CHC1_Data[Samples];
unsigned int ADC_address[6];

int *ptrCHA0;
int *ptrCHA1;
int *ptrCHB0;
int *ptrCHB1;
int *ptrCHC0;
int *ptrCHC1;
int ADC_ready = 0;
