//###########################################################################
//
// FILE:	ADS8364_DefaultIsr.c
//
// TITLE:	ADS8364 Device Default Interrupt Service Routines.
//
//###########################################################################
//
//  Ver | dd mmm yyyy | Who  | Description of changes
// =====|=============|======|===============================================
//  1.00| 30 Nov 2002 | T.H. | Modified DSP28_DefaultIsr.c
//###########################################################################

#include "DSP28_Device.h"

//---------------------------------------------------------------------------
// XINT1, XINT2 Default ISRs:
//

interrupt void  XINT1_ISR(void)
{
  // Disable XINT1 To avoid conflicts with EOC pulse
       XIntruptRegs.XINT1CR.all = 0x0000;
//    	delay_loop(10);
   		read_ADD();
       XIntruptRegs.XINT1CR.all = 0x0001;
  // To recieve more interrupts from this PIE group, acknowledge this interrupt 
   PieCtrlRegs.PIEACK.all = PIEACK_GROUP1; 
   return;
}  

interrupt void  XINT2_ISR(void)
{
  // Insert ISR Code here
   XIntruptRegs.XINT2CR.all = 0x0000;
  // To recieve more interrupts from this PIE group, acknowledge this interrupt 
   PieCtrlRegs.PIEACK.all = PIEACK_GROUP1; 
 
   return;
} 

//---------------------------------------------------------------------------
// ILLEGAL Instruction Trap ISR:
//
interrupt void ILLEGAL_ISR(void)   // Illegal operation TRAP
{
  // Insert ISR Code here

  // To recieve more interrupts from this PIE group, acknowledge this interrupt 
   PieCtrlRegs.PIEACK.all = PIEACK_GROUP1; 
   asm ("      ESTOP0");
   return;
}

interrupt void PIE_RESERVED(void)  // Reserved space.  For test.
{
  asm ("      ESTOP0");
  for(;;);
}

interrupt void rsvd_ISR(void)  // Reserved space.  For test.
{
  asm ("      ESTOP0");
  for(;;);
}
//===========================================================================
// No more.
//===========================================================================

